# 使用zookeeper注册中心暴露服务地址
#base.zookeepr=redis://127.0.0.1:6379
base.zookeepr=zookeeper://127.0.0.1:2181
#base.zookeepr=multicast://239.255.255.203:1012
#超时时间
base.timeout=12000
#工程name
base.name=base_ws_consumer
#是否开启用户会话保持时间
torch.login.use=true
#用户会话保持时间 单位秒
torch.login.time=1200000 
#加密文件
torch.key.path=/usr/local/license/license.torch
#公钥
torch.public.key=MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCX+3A/V4y3qNMcV1K28+DbsSIQVG+mfL40sSIR5N0TBNz2xViCgw7BDl91ilByM+Y8+/bnE/NsQlGGtRc+wuYJthpZ4/N8TaQT3UJ+xNlphXf01GI8bD7xQ0ITLR0iXkwr4cNIR8yVcbc1DPLqxfusBG7UL8vuQ99KxnOcp+yMxQIDAQAB
#校验包名
torch.vaild.package=com.huatek.frame.base.entity
#日志输出语言
torch.log=zh_CN 
#游客url(不需要校验token和权限的url)
torch.visitor.url=/frame-base-control/api/user/login,/frame-base-control/api/user/code
##################性能调优#######################
#负载均衡策略，可选值：random,roundrobin,leastactive，分别表示：随机，轮循，最少活跃调用
base.roundrobin=roundrobin
#远程服务调用重试次数，不包括第一次调用，不需要重试请设为0
base.retries=0
#是否缺省异步执行，不可靠异步，只是忽略返回值，不阻塞执行线程
base.async=false
#每个服务对每个提供者的最大连接数，rmi、http、hessian等短连接协议支持此配置，dubbo协议长连接不支持此配置
base.connections=500
#每服务消费者每服务每方法最大并发调用数
base.actives=10
##################性能调优#######################
#是否开启验证
base.verify=false
#验证码类型  1 纯数字 2 纯字母  3 数字字母混合
base.verifyType=1
#系统日志数据库
log.driver=com.mysql.jdbc.Driver
log.url=jdbc:mysql://127.0.0.1:3306/frame-base
log.username=root
log.password=pRs3MvcA/dBA0s+EtiR0DS5AcGZD8wDECSv+ru5Tmz9c3xhZePNeyhgOzgOELBgKZmqcYG7420fbIMsNtoJ/+A==
log.publickey=MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAKvUGsGxGw0WJnveOqnULaG0uvAe3vBqcUhBGwnmWJaqWv8XVnqz8YQFJxA8ua7hwUVjtcHzGekbUeStx1BrYsECAwEAAQ==